"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetEventSelectors_1 = require("../model/operations/GetEventSelectors");
var GetEventSelectorsCommand = /** @class */ (function () {
    function GetEventSelectorsCommand(input) {
        this.input = input;
        this.model = GetEventSelectors_1.GetEventSelectors;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetEventSelectorsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetEventSelectorsCommand;
}());
exports.GetEventSelectorsCommand = GetEventSelectorsCommand;
//# sourceMappingURL=GetEventSelectorsCommand.js.map