import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateTrailInput } from "../types/UpdateTrailInput";
import { UpdateTrailOutput } from "../types/UpdateTrailOutput";
import { CloudTrailResolvedConfiguration } from "../CloudTrailConfiguration";
export * from "../types/UpdateTrailInput";
export * from "../types/UpdateTrailOutput";
export * from "../types/UpdateTrailExceptionsUnion";
export declare class UpdateTrailCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateTrailInput, OutputTypesUnion, UpdateTrailOutput, CloudTrailResolvedConfiguration, Blob> {
    readonly input: UpdateTrailInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateTrailInput, UpdateTrailOutput, Blob>;
    constructor(input: UpdateTrailInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CloudTrailResolvedConfiguration): __aws_sdk_types.Handler<UpdateTrailInput, UpdateTrailOutput>;
}
