"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeTrailsInput_1 = require("../shapes/DescribeTrailsInput");
var DescribeTrailsOutput_1 = require("../shapes/DescribeTrailsOutput");
var UnsupportedOperationException_1 = require("../shapes/UnsupportedOperationException");
var OperationNotPermittedException_1 = require("../shapes/OperationNotPermittedException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeTrails = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeTrails",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeTrailsInput_1.DescribeTrailsInput
    },
    output: {
        shape: DescribeTrailsOutput_1.DescribeTrailsOutput
    },
    errors: [
        {
            shape: UnsupportedOperationException_1.UnsupportedOperationException
        },
        {
            shape: OperationNotPermittedException_1.OperationNotPermittedException
        }
    ]
};
//# sourceMappingURL=DescribeTrails.js.map