"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._Trail = {
    type: "structure",
    required: [],
    members: {
        Name: {
            shape: {
                type: "string"
            }
        },
        S3BucketName: {
            shape: {
                type: "string"
            }
        },
        S3KeyPrefix: {
            shape: {
                type: "string"
            }
        },
        SnsTopicName: {
            shape: {
                type: "string"
            }
        },
        SnsTopicARN: {
            shape: {
                type: "string"
            }
        },
        IncludeGlobalServiceEvents: {
            shape: {
                type: "boolean"
            }
        },
        IsMultiRegionTrail: {
            shape: {
                type: "boolean"
            }
        },
        HomeRegion: {
            shape: {
                type: "string"
            }
        },
        TrailARN: {
            shape: {
                type: "string"
            }
        },
        LogFileValidationEnabled: {
            shape: {
                type: "boolean"
            }
        },
        CloudWatchLogsLogGroupArn: {
            shape: {
                type: "string"
            }
        },
        CloudWatchLogsRoleArn: {
            shape: {
                type: "string"
            }
        },
        KmsKeyId: {
            shape: {
                type: "string"
            }
        },
        HasCustomEventSelectors: {
            shape: {
                type: "boolean"
            }
        },
        IsOrganizationTrail: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=_Trail.js.map